Denial of service in Juniper Networks Junos OS SRX300 Series, SRX500 Series, SRX1500 and SRX5000 Series with SPC2



Published: 2021-10-14
Risk Medium
Patch available YES
Number of vulnerabilities 1
CVE-ID CVE-2021-31364
CWE-ID CWE-754
Exploitation vector Network
Public exploit N/A
Vulnerable software
Subscribe
Juniper Junos OS
Operating systems & Components / Operating system

SRX300
Hardware solutions / Routers & switches, VoIP, GSM, etc

SRX500
Hardware solutions / Routers & switches, VoIP, GSM, etc

SRX1500
Hardware solutions / Routers & switches, VoIP, GSM, etc

SRX5000
Hardware solutions / Routers & switches, VoIP, GSM, etc

Vendor Juniper Networks, Inc.

Security Bulletin

This security bulletin contains one medium risk vulnerability.

1) Improper Check for Unusual or Exceptional Conditions

EUVDB-ID: #VU57360

Risk: Medium

CVSSv3.1: 5.2 [CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H/E:U/RL:O/RC:C]

CVE-ID: CVE-2021-31364

CWE-ID: CWE-754 - Improper Check for Unusual or Exceptional Conditions

Exploit availability: No

Description

The vulnerability allows a remote attacker to perform a denial of service (DoS) attack.

The vulnerability exists due to improper check for unusual or exceptional conditions in the flow daemon (flowd). A remote attacker can pass specially crafted input to the application and perform a denial of service (DoS) attack.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

Juniper Junos OS: 17.4R1, 17.4R1-S1, 17.4R1-S2, 17.4R1-S3, 17.4R1-S4, 17.4R1-S5, 17.4R1-S6, 17.4R1-S7, 17.4R1-S8, 17.4R2, 17.4R2-S1, 17.4R2-S2, 17.4R2-S3, 17.4R2-S4, 17.4R2-S5, 17.4R2-S6, 17.4R2-S7, 17.4R2-S8, 17.4R2-S9, 17.4R2-S10, 17.4R2-S11, 17.4R2-S12, 17.4R2-S13, 17.4R3, 17.4R3-S1, 17.4R3-S2, 17.4R3-S3, 17.4R3-S4, 18.3R1, 18.3R1-S1, 18.3R1-S2, 18.3R1-S3, 18.3R1-S4, 18.3R1-S5, 18.3R1-S6, 18.3R1-S7, 18.3R2, 18.3R2-S1, 18.3R2-S2, 18.3R2-S3, 18.3R2-S4, 18.3R3, 18.3R3-S1, 18.3R3-S2, 18.3R3-S3, 18.3R3-S4, 18.4R1, 18.4R1-S1, 18.4R1-S2, 18.4R1-S3, 18.4R1-S4, 18.4R1-S5, 18.4R1-S6, 18.4R1-S7, 18.4R1-S8, 18.4R2, 18.4R2-S1, 18.4R2-S2, 18.4R2-S3, 18.4R2-S4, 18.4R2-S5, 18.4R2-S6, 18.4R2-S7, 18.4R2-S8, 18.4R2-S9, 18.4R3, 18.4R3-S1, 18.4R3-S2, 18.4R3-S3, 18.4R3-S4, 18.4R3-S5, 18.4R3-S6, 18.4R3-S7, 18.4R3-S8, 19.1R, 19.1R1, 19.1R1-S1, 19.1R1-S2, 19.1R1-S3, 19.1R1-S4, 19.1R1-S5, 19.1R1-S6, 19.1R2, 19.1R2-S1, 19.1R2-S2, 19.1R2-S3, 19.1R3, 19.1R3-S1, 19.1R3-S2, 19.1R3-S3, 19.1R3-S4, 19.1R3-S5, 19.2R1, 19.2R1-S1, 19.2R1-S2, 19.2R1-S3, 19.2R1-S4, 19.2R1-S5, 19.2R1-S6, 19.2R2, 19.2R2-S1, 19.2R3, 19.2R3-S1, 19.3R1, 19.3R1-S1, 19.3R2, 19.3R2-S1, 19.3R2-S2, 19.3R2-S3, 19.3R2-S4, 19.3R2-S5, 19.3R3, 19.3R3-S1, 19.4R1, 19.4R1-S1, 19.4R1-S2, 19.4R1-S3, 19.4R2, 19.4R2-S1, 19.4R2-S2, 19.4R2-S3, 19.4R2-S4, 19.4R2-S5, 19.4R3, 19.4R3-S1, 19.4R3-S2, 19.4R3-S5, 20.1R1, 20.1R1-S1, 20.1R1-S2, 20.1R1-S3, 20.1R1-S4, 20.1R2, 20.1R2-S1, 20.2R1, 20.2R1-S1, 20.2R1-S2, 20.2R1-S3, 20.2R2, 20.2R2-S1, 20.2R2-S2, 20.2R2-S3, 20.3R1, 20.3R1-S1, 20.3R1-S2, 20.3R2, 20.4R1, 20.4R1-S1

SRX300: All versions

SRX500: All versions

SRX1500: All versions

SRX5000: All versions

CPE2.3 External links

http://kb.juniper.net/InfoCenter/index?page=content&id=JSA11226&cat=SIRT_1&actp=LIST

Q & A

Can this vulnerability be exploited remotely?

Yes. This vulnerability can be exploited by a remote non-authenticated attacker via the Internet.

Is there known malware, which exploits this vulnerability?

No. We are not aware of malware exploiting this vulnerability.



###SIDEBAR###